import QtQuick 2.3
import QtQuick.Controls 1.2
import QtQuick.Window 2.0
import QtQml 2.2

Window {
    visible: true
    width: 640
    height: 480



    Button {
        width: 60
        height: 60
        checkable: true
        onPressedChanged: console.log(pressed);
        onClicked: {
            if (checked) {
                text = "Screen1";
                loader.source = "qrc:/LoadQML1.qml";
                console.log(loader.sourceComponent)
                //loader.source = "qrc:/test.qml";
            }
            else {
                text = "Screen2"
                loader.source = "qrc:/LoadQML2.qml";
                console.log(loader.sourceComponent)
            }
        }
    }
    Loader {
        id: loader
        x: 0
        y: 80
        source: ""
        //asynchronous: true
        onSourceComponentChanged: console.log(loader.sourceComponent)
    }

    Timer
    {
        id: timer
        running: true
        interval: 1000
        repeat: true
        onTriggered: console.log("triggered");
    }

    Rectangle {
        id: ticker
        width: 10
        height: 10

        color: "blue"

        RotationAnimation on rotation {
                loops: Animation.Infinite
                from: 0
                to: 360
                duration: 1000
                running: true
            }

    }
}
